Loading...
Searching...
No Matches
etl::message_router< TDerived, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, void > Class Template Reference

## Public Types

typedef etl::message_packet< T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15 > | message_packet
Public Types inherited from etl::imessage_router
enum | { NULL_MESSAGE_ROUTER = 255 , MESSAGE_BUS = 254 , ALL_MESSAGE_ROUTERS = 253 , MESSAGE_BROKER = 252 , MESSAGE_ROUTER = 251 , MAX_MESSAGE_ROUTER = 249 }
Public Types inherited from etl::successor< imessage_router >
typedef imessage_router | successor_type

## Public Member Functions

| message_router (etl::message_router_id_t id_)
| message_router (etl::message_router_id_t id_, etl::imessage_router &successor_)
| message_router (etl::imessage_router &successor_)
bool | accepts (etl::message_id_t id) const ETL_OVERRIDE
ETL_DEPRECATED bool | is_null_router () const ETL_OVERRIDE
bool | is_producer () const ETL_OVERRIDE
bool | is_consumer () const ETL_OVERRIDE
virtual void | receive (const etl::imessage &)=0
virtual void | receive (etl::message_router_id_t destination_router_id, const etl::imessage &message)
virtual void | receive (etl::shared_message shared_msg)
virtual void | receive (etl::message_router_id_t destination_router_id, etl::shared_message shared_msg)
bool | accepts (const etl::imessage &msg) const
Public Member Functions inherited from etl::imessage_router
bool | accepts (const etl::imessage &msg) const
etl::message_router_id_t | get_message_router_id () const
Public Member Functions inherited from etl::successor< imessage_router >
| successor ()
| Default constructor.
void | set_successor (successor_type &s)
| Set the successor.
void | append_successor (TSuccessor &s)
| Append a successor.
void | clear_successor ()
| Clear the successor.
void | clear_successor_chain ()
| Clear the successor chain.
successor_type & | get_successor () const
bool | has_successor () const
| Does this have a successor?

## Additional Inherited Members

Protected Member Functions inherited from etl::imessage_router
| imessage_router (etl::message_router_id_t id_)
| imessage_router (etl::message_router_id_t id_, imessage_router &successor_)

## Member Function Documentation

## accepts()

template<typename TDerived, typename T1, typename T2, typename T3, typename T4, typename T5, typename T6, typename T7, typename T8, typename T9, typename T10, typename T11, typename T12, typename T13, typename T14, typename T15>

bool etl::message_router< TDerived, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, void >::accepts | ( | etl::message_id_t | id | ) | const

inline virtual

Implements etl::imessage_router.

## is_consumer()

template<typename TDerived, typename T1, typename T2, typename T3, typename T4, typename T5, typename T6, typename T7, typename T8, typename T9, typename T10, typename T11, typename T12, typename T13, typename T14, typename T15>

bool etl::message_router< TDerived, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, void >::is_consumer | ( |  | ) | const

inline virtual

Implements etl::imessage_router.

## is_null_router()

template<typename TDerived, typename T1, typename T2, typename T3, typename T4, typename T5, typename T6, typename T7, typename T8, typename T9, typename T10, typename T11, typename T12, typename T13, typename T14, typename T15>

ETL_DEPRECATED bool etl::message_router< TDerived, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, void >::is_null_router | ( |  | ) | const

inline virtual

Implements etl::imessage_router.

## is_producer()

template<typename TDerived, typename T1, typename T2, typename T3, typename T4, typename T5, typename T6, typename T7, typename T8, typename T9, typename T10, typename T11, typename T12, typename T13, typename T14, typename T15>

bool etl::message_router< TDerived, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, void >::is_producer | ( |  | ) | const

inline virtual

Implements etl::imessage_router.

## receive() [1/4]

| ( | const etl::imessage & |  | ) |

virtual

Implements etl::imessage_router.

## receive() [2/4]

| ( | etl::message_router_id_t | destination_router_id,
|  | const etl::imessage & | message )

virtual

Reimplemented from etl::imessage_router.

## receive() [3/4]

| ( | etl::message_router_id_t | destination_router_id,
|  | etl::shared_message | shared_msg )

virtual

Reimplemented from etl::imessage_router.

## receive() [4/4]

| ( | etl::shared_message | shared_msg | ) |

virtual

Reimplemented from etl::imessage_router.

The documentation for this class was generated from the following file:

- include/etl/message_router.h